Package org.eclipse.birt.chart.ui.swt.interfaces

# Interface IChartUIFactory

public interface IChartUIFactory
UI factory used to create all kinds of UI classes.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canEnableUI(org.eclipse.birt.chart.ui.swt.ChartCheckbox button)`
Check if the state of specified button allows to enable UI component.
`org.eclipse.birt.chart.ui.swt.ChartCheckbox`
`createChartCheckbox(org.eclipse.swt.widgets.Composite parent, int styles, boolean defaultSelection)`
Creates instance of `AbstractChartCheckbox`.
`org.eclipse.birt.chart.ui.swt.ChartCombo`
`createChartCombo(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.emf.ecore.EObject eParent, String sProperty, String defaultItem)`
Create instance of combo composite.
`org.eclipse.jface.dialogs.TrayDialog`
`createChartImageDialog(org.eclipse.swt.widgets.Shell parentShell, org.eclipse.birt.chart.model.attribute.Fill fCurrent, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context, boolean bEmbeddedImageEnabled, boolean bResourceImageEnabled)`
Create image dialog
`org.eclipse.birt.chart.ui.swt.AbstractChartInsets`
`createChartInsetsComposite(org.eclipse.swt.widgets.Composite parent, int style, int numberRows, org.eclipse.birt.chart.model.attribute.Insets insets, String sUnits, IUIServiceProvider serviceprovider, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context, org.eclipse.birt.chart.model.attribute.Insets defInsets)`
Create instance of insets composite.
`org.eclipse.birt.chart.ui.swt.AbstractChartIntSpinner`
`createChartIntSpinner(org.eclipse.swt.widgets.Composite parent, int style, int iCurrentValue, org.eclipse.emf.ecore.EObject obj, String property, boolean enabled)`
Create instance of spinner composite.
`org.eclipse.jface.dialogs.TrayDialog`
`createChartMarkerIconDialog(org.eclipse.swt.widgets.Shell parent, org.eclipse.birt.chart.model.attribute.Fill fill, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context)`
Create marker icon dialog.
`org.eclipse.birt.chart.ui.swt.AbstractChartNumberEditor`
`createChartNumberEditor(org.eclipse.swt.widgets.Composite parent, int style, String unit, org.eclipse.emf.ecore.EObject eParent, String sProperty)`
Create number editor composite.
`org.eclipse.birt.chart.ui.swt.ChartSlider`
`createChartSlider(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.emf.ecore.EObject eParent, String sProperty)`
Create slider composite.
`org.eclipse.birt.chart.ui.swt.ChartSpinner`
`createChartSpinner(org.eclipse.swt.widgets.Composite parent, int styles, org.eclipse.emf.ecore.EObject obj, String property, boolean enabled)`
Creates instance of `ChartSpinner`.
`org.eclipse.birt.chart.ui.swt.ChartSpinner`
`createChartSpinner(org.eclipse.swt.widgets.Composite parent, int styles, org.eclipse.emf.ecore.EObject obj, String property, boolean enabled, String label, String endLabel)`
Creates instance of `ChartSpinner`.
`org.eclipse.birt.chart.ui.swt.AbstractChartTextEditor`
`createChartTextEditor(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.emf.ecore.EObject eParent, String sProperty)`
Create text editor composite.
`IDataElementComposite`
`createDateTimeDataElementComposite(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.birt.chart.model.data.DateTimeDataElement data, boolean isNullAllowed, org.eclipse.emf.ecore.EObject eParent, String sProperty)`
Create instance of `IDataElementComposite` for editing date time.
`IFontDefinitionDialog`
`createFontDefinitionDialog(org.eclipse.swt.widgets.Shell shellParent, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext wizardContext, org.eclipse.birt.chart.model.attribute.FontDefinition fdCurrent, org.eclipse.birt.chart.model.attribute.ColorDefinition cdCurrent, int optionalStyle)`
Create font definition dialog.
`org.eclipse.birt.chart.ui.swt.AbstractHeadStyleChooserComposite`
`createHeadStyleChooserComposite(org.eclipse.swt.widgets.Composite parent, int style, int iLineDecorator, org.eclipse.emf.ecore.EObject eParent, String sProperty)`
Create instance of combo list for editing meter head style.
`org.eclipse.birt.chart.ui.swt.AbstractLineStyleChooserComposite`
`createLineStyleChooserComposite(org.eclipse.swt.widgets.Composite parent, int style, int iLineStyle, Integer[] lineStyleItems, org.eclipse.emf.ecore.EObject eParent, String sProperty)`
Create instance of combo list for editing list style.
`org.eclipse.birt.chart.ui.swt.AbstractLineWidthChooserComposite`
`createLineWidthChooserComposite(org.eclipse.swt.widgets.Composite parent, int style, int iWidth, Integer[] lineWidths, org.eclipse.emf.ecore.EObject eParent, String sProperty)`
Create instance of combo list for editing line width.
`IDataElementComposite`
`createNumberDataElementComposite(org.eclipse.swt.widgets.Composite parent, org.eclipse.birt.chart.model.data.DataElement data, org.eclipse.emf.ecore.EObject eParent, String sProperty)`
Create instance of `IDataElementComposite` for editing number.
`org.eclipse.birt.chart.util.TriggerSupportMatrix`
`createSupportMatrix(String outputFormat, int iType)`
Creates instance of `TriggerSupportMatrix`.
`IChartUIHelper`
`createUIHelper()`
Returns the current UI helper
`boolean`
`isSetInvisible(org.eclipse.emf.ecore.EObject obj)`
Check if specified EObject is set invisible, the EObject must have 'visible' property, the return result is used for updating chart UI.
`boolean`
`supportAutoUI()`
Check if current context is supporting 'auto' UI.

## Method Details

### createUIHelper

IChartUIHelper createUIHelper()
Returns the current UI helper

Returns:
  UI helper

### createSupportMatrix

org.eclipse.birt.chart.util.TriggerSupportMatrix createSupportMatrix(String outputFormat, int iType)
Creates instance of `TriggerSupportMatrix`.

Parameters:
  `outputFormat` - output format
  `iType` - interactivity type
Returns:
  instance
Since:
  3.7

### createChartCheckbox

org.eclipse.birt.chart.ui.swt.ChartCheckbox createChartCheckbox(org.eclipse.swt.widgets.Composite parent, int styles, boolean defaultSelection)
Creates instance of `AbstractChartCheckbox`.

Parameters:
  `parent` -
  `styles` -
  `defaultSelection` -
Returns:
  instance of `AbstractChartCheckbox`.

### createChartSpinner

org.eclipse.birt.chart.ui.swt.ChartSpinner createChartSpinner(org.eclipse.swt.widgets.Composite parent, int styles, org.eclipse.emf.ecore.EObject obj, String property, boolean enabled)
Creates instance of `ChartSpinner`.

Parameters:
  `parent` -
  `styles` -
  `obj` -
  `property` -
  `enabled` -
Returns:
  instance of `ChartSpinner`

### createChartSpinner

org.eclipse.birt.chart.ui.swt.ChartSpinner createChartSpinner(org.eclipse.swt.widgets.Composite parent, int styles, org.eclipse.emf.ecore.EObject obj, String property, boolean enabled, String label, String endLabel)
Creates instance of `ChartSpinner`.

Parameters:
  `parent` -
  `styles` -
  `obj` -
  `property` -
  `enabled` -
  `label` -
  `endLabel` -
Returns:
  instance of `ChartSpinner`

### createChartInsetsComposite

org.eclipse.birt.chart.ui.swt.AbstractChartInsets createChartInsetsComposite(org.eclipse.swt.widgets.Composite parent, int style, int numberRows, org.eclipse.birt.chart.model.attribute.Insets insets, String sUnits, IUIServiceProvider serviceprovider, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context, org.eclipse.birt.chart.model.attribute.Insets defInsets)
Create instance of insets composite.

Parameters:
  `parent` -
  `style` -
  `numberRows` -
  `insets` -
  `sUnits` -
  `serviceprovider` -
  `context` -
  `defInsets` -
Returns:
  instance of chart insets.

### createChartIntSpinner

org.eclipse.birt.chart.ui.swt.AbstractChartIntSpinner createChartIntSpinner(org.eclipse.swt.widgets.Composite parent, int style, int iCurrentValue, org.eclipse.emf.ecore.EObject obj, String property, boolean enabled)
Create instance of spinner composite.

Parameters:
  `parent` -
  `style` -
  `iCurrentValue` -
  `obj` -
  `property` -
  `enabled` -
Returns:
  instance of spinner composite.

### createNumberDataElementComposite

IDataElementComposite createNumberDataElementComposite(org.eclipse.swt.widgets.Composite parent, org.eclipse.birt.chart.model.data.DataElement data, org.eclipse.emf.ecore.EObject eParent, String sProperty)
Create instance of `IDataElementComposite` for editing number.

Parameters:
  `parent` -
  `data` -
  `eParent` -
  `sProperty` -
Returns:
  instance of `IDataElementComposite`.

### createDateTimeDataElementComposite

IDataElementComposite createDateTimeDataElementComposite(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.birt.chart.model.data.DateTimeDataElement data, boolean isNullAllowed, org.eclipse.emf.ecore.EObject eParent, String sProperty)
Create instance of `IDataElementComposite` for editing date time.

Parameters:
  `parent` -
  `style` -
  `data` -
  `isNullAllowed` -
  `eParent` -
  `sProperty` -
Returns:
  instance of `IDataElementComposite`.

### createChartCombo

org.eclipse.birt.chart.ui.swt.ChartCombo createChartCombo(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.emf.ecore.EObject eParent, String sProperty, String defaultItem)
Create instance of combo composite.

Parameters:
  `parent` -
  `style` -
  `eParent` -
  `sProperty` -
  `defaultItem` -
Returns:
  instance of combo composite.

### createLineStyleChooserComposite

org.eclipse.birt.chart.ui.swt.AbstractLineStyleChooserComposite createLineStyleChooserComposite(org.eclipse.swt.widgets.Composite parent, int style, int iLineStyle, Integer[] lineStyleItems, org.eclipse.emf.ecore.EObject eParent, String sProperty)
Create instance of combo list for editing list style.

Parameters:
  `parent` -
  `style` -
  `iLineStyle` -
  `lineStyleItems` -
  `eParent` -
  `sProperty` -
Returns:
  instance of combo list for editing list style.

### createLineWidthChooserComposite

org.eclipse.birt.chart.ui.swt.AbstractLineWidthChooserComposite createLineWidthChooserComposite(org.eclipse.swt.widgets.Composite parent, int style, int iWidth, Integer[] lineWidths, org.eclipse.emf.ecore.EObject eParent, String sProperty)
Create instance of combo list for editing line width.

Parameters:
  `parent` -
  `style` -
  `iWidth` -
  `lineWidths` -
  `eParent` -
  `sProperty` -
Returns:
  instance of combo list for editing line width.

### createHeadStyleChooserComposite

org.eclipse.birt.chart.ui.swt.AbstractHeadStyleChooserComposite createHeadStyleChooserComposite(org.eclipse.swt.widgets.Composite parent, int style, int iLineDecorator, org.eclipse.emf.ecore.EObject eParent, String sProperty)
Create instance of combo list for editing meter head style.

Parameters:
  `parent` -
  `style` -
  `iLineDecorator` -
  `eParent` -
  `sProperty` -
Returns:
  instance of combo list for editing meter head style.

### createFontDefinitionDialog

IFontDefinitionDialog createFontDefinitionDialog(org.eclipse.swt.widgets.Shell shellParent, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext wizardContext, org.eclipse.birt.chart.model.attribute.FontDefinition fdCurrent, org.eclipse.birt.chart.model.attribute.ColorDefinition cdCurrent, int optionalStyle)
Create font definition dialog.

Parameters:
  `shellParent` -
  `wizardContext` -
  `fdCurrent` -
  `cdCurrent` -
  `optionalStyle` -
Returns:
  font definition dialog.

### createChartTextEditor

org.eclipse.birt.chart.ui.swt.AbstractChartTextEditor createChartTextEditor(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.emf.ecore.EObject eParent, String sProperty)
Create text editor composite.

Parameters:
  `parent` -
  `style` -
  `eParent` -
  `sProperty` -
Returns:
  text editor composite.

### createChartNumberEditor

org.eclipse.birt.chart.ui.swt.AbstractChartNumberEditor createChartNumberEditor(org.eclipse.swt.widgets.Composite parent, int style, String unit, org.eclipse.emf.ecore.EObject eParent, String sProperty)
Create number editor composite.

Parameters:
  `parent` -
  `style` -
  `unit` -
  `eParent` -
  `sProperty` -
Returns:
  number editor composite.

### createChartSlider

org.eclipse.birt.chart.ui.swt.ChartSlider createChartSlider(org.eclipse.swt.widgets.Composite parent, int style, org.eclipse.emf.ecore.EObject eParent, String sProperty)
Create slider composite.

Parameters:
  `parent` -
  `style` -
  `eParent` -
  `sProperty` -
Returns:
  slider composite.

### createChartMarkerIconDialog

org.eclipse.jface.dialogs.TrayDialog createChartMarkerIconDialog(org.eclipse.swt.widgets.Shell parent, org.eclipse.birt.chart.model.attribute.Fill fill, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context)
Create marker icon dialog.

Parameters:
  `parent` -
  `fill` -
  `context` -
Returns:
  marker icon dialog

### createChartImageDialog

org.eclipse.jface.dialogs.TrayDialog createChartImageDialog(org.eclipse.swt.widgets.Shell parentShell, org.eclipse.birt.chart.model.attribute.Fill fCurrent, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context, boolean bEmbeddedImageEnabled, boolean bResourceImageEnabled)
Create image dialog

Returns:
  image dialog

### canEnableUI

boolean canEnableUI(org.eclipse.birt.chart.ui.swt.ChartCheckbox button)
Check if the state of specified button allows to enable UI component.

Parameters:
  `button` -
Returns:
  true if the state of specified button allows to enable UI component.

### supportAutoUI

boolean supportAutoUI()
Check if current context is supporting 'auto' UI.

Returns:
  true if current context is supporting 'auto' UI.

### isSetInvisible

boolean isSetInvisible(org.eclipse.emf.ecore.EObject obj)
Check if specified EObject is set invisible, the EObject must have 'visible' property, the return result is used for updating chart UI.

Parameters:
  `obj` -
Returns:
  true if EObject is set invisible.